Name:           cerlet
Version:        0.2.0
Release:        6%{?dist}
Summary:        Certbot plugin and CertMonger Helper

License:        MIT
URL:            https://github.com/antevens/cerlet
Source:         cerlet-%{version}.tar.gz
Source10:       isrgrootx1.pem
Source11:       isrg-root-x2.pem

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-wheel
BuildRequires:  python3-acme
BuildRequires:  python3-certbot
BuildRequires:  python3-pyasn1-modules
BuildRequires:  python3-jinja2
BuildRequires:  python3-ipalib
BuildRequires:  python3-ipaclient

Requires:       python3-ipaclient
Requires:       python3-ipalib

%global _description %{expand:
Certbot plugin and CertMonger Helper
}

%description %_description


%package letsencrypt
Summary:        Let's Encrypt CA for CertMonger
Requires:       cerlet
Requires:       certmonger
Requires:       %name = %version-%release


%description letsencrypt
Let's Encrypt CA for CertMonger


%prep
%autosetup -p1 -n cerlet-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cerlet
install -d 0755 %{buildroot}%{_sysconfdir}/pki/ca-trust/source/anchors
install -m 0644 --preserve-timestamps %{SOURCE10} %{buildroot}%{_sysconfdir}/pki/ca-trust/source/anchors/isrgrootx1.pem
install -m 0644 --preserve-timestamps %{SOURCE11} %{buildroot}%{_sysconfdir}/pki/ca-trust/source/anchors/isrg-root-x2.pem


%post letsencrypt
update-ca-trust force-enable
update-ca-trust extract

getcert list-cas -c letsencrypt | grep "^CA 'letsencrypt':$" > /dev/null \
    || getcert add-ca -c letsencrypt -e "/usr/bin/cerlet --server https://acme-v02.api.letsencrypt.org/directory -vvvv" || /bin/true
getcert list-cas -c letsencrypt-staging | grep "^CA 'letsencrypt-staging':$" > /dev/null \
    || getcert add-ca -c letsencrypt-staging -e "/usr/bin/cerlet --server https://acme-staging-v02.api.letsencrypt.org/directory -vvvv" || /bin/true


%postun letsencrypt
update-ca-trust force-enable
update-ca-trust extract


%check
%pyproject_check_import cerlet


%files -f %{pyproject_files}
%doc README.*
%{_bindir}/cerlet

%files letsencrypt
%{_sysconfdir}/pki/ca-trust/source/anchors/isrgrootx1.pem
%{_sysconfdir}/pki/ca-trust/source/anchors/isrg-root-x2.pem

%changelog
* Tue Nov 28 2023 Zoran Peričić <zoran.pericic@infomaas.com> - 0.1.0
- Initial release
